﻿<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage" MasterPageFile="~/Views/Shared/Site.Master"%>
<asp:Content ID="Content2" ContentPlaceHolderID="TitleContent" runat="server">
DHTMLX
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" runat="server">
<style>
.header_class
{
    margin:0;
    padding:0;
    height:79px;
    background-image:url('/Content/head_bg.png');
    box-shadow: 0 10px 0px #ddd;
}

body
{
    background-color:#F1F1F1;
    font-family:'Helvetica';
    line-height: 17px;
    font-size: 13px;
}
#main_content
{
    background-color:White;
    box-shadow: inset 0 8px 10px #ddd;
}

</style>
<span style="padding: 27px 0 0 51px;font-family: arial;font-size: 16px;color: white;float: left;">DHTMLX documentation</span>
<span style="display:inline-block;float:right;background:url('/Content/mvc.png');repeat:none;width:298px;height:78px;"></span>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Content" runat="server">
<style>
    
body
{
    overflow:auto;
}
a
{
    color:rgb(21, 112, 172);
    text-decoration:none;
}
a:visited 
{
    color:rgb(21, 112, 172);
}
.samples_list
{
    margin-right:30px;
    list-style: none;
    padding-top: 25px;
}
.samples_list ul
{
    list-style: none;
}
.category_item, .footer
{
    color:#3a3a3a;
}
.category_item
{
    margin:2px 0 10px 0;
}
.category_item li
{
    margin:8px 0;
}

.category_item div
{
    vertical-align:top;
    font-size: 15px;
}
.category_item span
{
    line-height:32px;
    vertical-align:sub;
}

.sample_link
{
    display:inline-block;
    text-align:right;
    width:180px;
    font-size: 13px !important ;
    *zoom:1;/*inline-block behavior for ie7*/
    *display:inline;
    
}
.sample_description
{
    font-size: 12px !important ;
    margin-left:13px;  
    color:rgb(145,152,157);
    vertical-align:baseline !important;
    display:inline-block;
    *zoom:1;/*inline-block behavior for ie7*/
    *display:inline;
}

.category_icon
{
    display:inline-block;
    width:32px;
    height:32px;
    background-position: center center;
    background-repeat: no-repeat;
    *zoom:1;/*inline-block behavior for ie7*/
    *display:inline;
}
.footer
{
    display:inline-block;
    text-align:center;
    color:rgb(105,117,130);
    background-color:rgb(241,241,241);
    width:100%;
    line-height:18px;
    *zoom:1;/*inline-block behavior for ie7*/
    *display:inline;
}

</style>
   <ul class="samples_list">
    <li class="category_item"><div><div class="category_icon" style="background-image:url('/Content/Configuration.png')"></div><span>Configuration</span></div>
        <ul>
            <li><div class='sample_link'><%= Html.ActionLink("Basic initialization", "Index", "BasicScheduler", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Basic initialization of the scheduler. Default modes and default views. Basic loading and saving. 
                </div>
            </li>
            <li><div class='sample_link'><%= Html.ActionLink("Skins and languages", "Index", "SkinLocale", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Available skins and localizations.</div>
            </li>
            
            
            <li><div class='sample_link'><%= Html.ActionLink("Authorization", "Index", "SchedulerAuthorization", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Different access levels for different users.</div>
            </li>

            <li><div class='sample_link'><%= Html.ActionLink("Integrating with google map", "GoogleMap", "DifferentModes", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            See how google map can be integrated in scheduler.</div>
            </li>
            <li><div class='sample_link'><%= Html.ActionLink("Year view", "YearNWeek", "DifferentModes", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Scheduler year mode.</div>
            </li>
            <li><div class='sample_link'><%= Html.ActionLink("Recurring events", "Index", "RecurringEvents", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Enabling recurring events support.</div>
            </li>
            <li><div class='sample_link'><%= Html.ActionLink("Multiple Resources", "MultipleResources", "DifferentModes", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
            Loading data from different resources.</div>
            </li>

        </ul>
    </li>
    <li class='category_item'><div><div class="category_icon" style="background-image:url('/Content/Data-operations.png')"></div><span>Data operations</span></div>
        <ul>
           <li><div class='sample_link'><%= Html.ActionLink("Add range", "Index", "AddRange", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">
           Adding an Items collection  to lightbox controls.
           </div>
           </li>
           <li><div class='sample_link'><%= Html.ActionLink("Static loading", "Index", "StaticLoading", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Loading all data to the page, without Ajax.</div></li>
           <li><div class='sample_link'><%= Html.ActionLink("Custom Field", "Index", "CustomField", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Updating events from the server-side after saving.</div></li>
        </ul>
    </li>    
    <li class='category_item'><div><div class="category_icon" style="background-image:url('/Content/Lightbox.png')"></div><span>Details form customization</span></div>
        <ul>
           <li><div class='sample_link'><%= Html.ActionLink("Custom details form", "Details", "AddRange", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Configure details form.</div></li>
           <li><div class='sample_link'><%= Html.ActionLink("Custom form in lightbox", "Index", "PartialViewInLightbox", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Using a custom form instead of the native lightbox.</div></li>
           <li><div class='sample_link'><%= Html.ActionLink(".Net form in lightbox", "Index", "MVCFormInLightbox", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Using a .Net form instead of the native lightbox.</div></li>
        </ul>
    </li>     
    <li class='category_item'><div><div class="category_icon" style="background-image:url('/Content/Integration-w-e-c.png')"></div><span>Integration with external controls</span></div>
        <ul>
           <li><div class='sample_link'><%= Html.ActionLink("Server side filtering", "Index", "ServerSideFiltering", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Using native .Net controls within the scheduler.</div></li>
           <li><div class='sample_link'><%= Html.ActionLink("Server side filtering ajax", "Index", "ServerSideFilteringAjax", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Reloading the scheduler by Ajax as a reaction on some external input.</div></li>
        </ul>
    </li>    
    <li class='category_item'><div><div class="category_icon" style="background-image:url('/Content/Export.png')"></div><span>Data export</span></div>
        <ul>
           <li><div class='sample_link'><%= Html.ActionLink("Export to PDF", "Index", "ExportToPDF", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Creating PDF documents from a scheduler view.</div></li>
           <li><div class='sample_link'><%= Html.ActionLink("Export to iCal", "Index", "ExportToICal", new { id = "" }, new { target = "_blank" })%></div><div class="sample_description">Exporting the scheduler to iCal.</div></li>
        </ul>
    </li>     
        
   </ul>
   </div>
   <div class="footer">
   <div style="*zoom:1;*display:inline;display:inline-block;repeat:none;height:14px;width:852px;background:url('/Content/footer.png')"></div>
   <div style="float:bottom;padding:5px 62px;text-align:left;">
   <p>Scheduler .Net is the library that have released to help .NET developers initialize and configure dhtmlxScheduler on server-side backend without dealing with client-side at all. It's fully written in C# and mostly intended for .NET MVC applications.</p>


<p>
<strong>First of all, before you start developing, make sure you read the following important chapters:</strong>
</p>
<ul>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/introduction_to_scheduler_.net.html" class="wikilink1" title="introduction_to_scheduler_.net">Introduction to Scheduler .Net</a> - gives an introduction to the library, providing general information.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/technical_requirements.html" class="wikilink1" title="technical_requirements">Technical Requirements</a> - acquaints you with the requirements of the library.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/downloading_the_package.html" class="wikilink1" title="downloading_the_package">Downloading the package</a> - tells you what files and where you should download to use the library.</div>
</li>
</ul>

<p>
<strong>Confused where to start? Here is a link to get you on your way:</strong>
</p>
<ul>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/simple_.net_application_with_scheduler.html" class="wikilink1" title="simple_.net_application_with_scheduler">Simple .Net application with scheduler</a> - gives essential notes you should know to create the first scheduler-related .NET application. Read this guide before coding your program.</div>
</li>
</ul>

<p>

<strong>Creating a simple scheduler doesn&#039;t cause any problems and you are ready to complicate and customize the app. Here are links to task-oriented chapters:</strong>
</p>
<ul>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/loading_data.html" class="wikilink1" title="loading_data">Loading data</a>  - says how to load events to the scheduler.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/managing_crud_operations.html" class="wikilink1" title="managing_crud_operations">Managing CRUD operations</a> - provides information that helps you define CRUD logic. Read this when you&#039;re going to create and delete events, save changes made in them.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/fields_and_views.html" class="wikilink1" title="fields_and_views">Views</a> - covers views supported by the library (e.g. Timeline, Day, Month views). Also it contains information that helps you add and customize a view.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/lightbox.html" class="wikilink1" title="lightbox">Lightbox</a> - contains information concerning the lightbox (details form): how to add a field, create custom form and etc.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/data_collections.html" class="wikilink1" title="data_collections">Data collections</a> - describes data collections in the context of static loading the initial data.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/identifying_users._autorization.html" class="wikilink1" title="identifying_users._autorization">Identifying users. Autorization</a> - says how to secure your application and differentiate permission levels for users.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/filtration.html" class="wikilink1" title="filtration">Filtration</a> - learns how to filter events you load to the scheduler.</div>
</li>
<li class="level1"><div class="li"> <a href="http://scheduler-net.com/docs/data_export.html" class="wikilink1" title="data_export">Data export</a>  - provides general guidelines about exporting data.</div>
</li>
</ul>

<p>
<strong>Can&#039;t find the desired information? Feel free to send us your questions, suggestions or comments to:</strong>
</p>
<ul>
<li class="level1"><div class="li"> Support forum available at <a href="http://forum.dhtmlx.com" class="urlextern" title="http://forum.dhtmlx.com"  rel="nofollow">http://forum.dhtmlx.com</a> ( if you have a commercial license , there is also a support system at <a href="http://support.dhtmlx.com" class="urlextern" title="http://support.dhtmlx.com"  rel="nofollow">http://support.dhtmlx.com</a> )</div>
</li>
<li class="level2"><div class="li"> Email - <em class="u">support@dhtmlx.com</em>.</div>
</li>
</ul>


   </div>
   
</asp:Content>

